package com.liquidnet.service.goblin.service.manage;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.*;
import com.liquidnet.service.goblin.param.GoblinMixDetailsParam;
import com.liquidnet.service.goblin.param.GoblinMixUpdateParam;

import java.util.List;

/**
 * <p>
 * 商城-搭售活动 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-06-30
 */
public interface IGoblinMixAppService {

    // 根据开始时间倒叙 并且 活动开始
    ResponseDto<List<GoblinMixAppListVo>> mixList(Integer showPosition);

    // 根据开始时间倒叙 并且 活动开始
    ResponseDto<GoblinMixAppDetailsVo> mixDetails(String mixId);

    // 根据混合售id 获取售卖内容
    ResponseDto<List<GoblinMixDetailsItemVo>> getItem(String mixId);

    // 根据mix订单号查询订单列表
    ResponseDto<GoblinMixOrderListVo> getMixList(String masterCode);

    // 根据mix订单号查询订单列表
    ResponseDto<Boolean> canBy(String mixId,String uid);
}
